Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032862
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-05-04 17:182018-06-12 14:08
ReporterlorenzofidalgoView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisioncd3262c908aa
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Todmiguelez
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032862: "Enable Stock Reservations" preference throws an error when a Sales Order is booked

DescriptionIf there are more than one record created in "Preference" window for "Enable Stock Reservations" preference, it is not possible to book a "Sales Order" and it is thrown an error:
"Error:
StockReservations PropertyNotFound"
Steps To Reproduce0-Login ERP as QAAdmin//QAAdmin.
1-Using "QA Testing Admin" role, go to "Preferences" window.
2-Create a new record with the following values:
--
Organization: *
Property: Enable Stock Reservations
Value: Y
Visible at User: QAAdmin
--
Save that record.
3-Create a new record with the following values:
--
Organization: *
Property: Enable Stock Reservations
Value: Y
Visible at User: Sales A
--
Save that record.
4-Go to "Sales Order", create a record with the following values:
--
Transaction Document: Standard Order
Business Partner: Customer B
--
5-Go to "Lines" tab and create a record with the following values:
--
Product: Final good B.
--
6-Click "Book" process and click OK button in the popup to confirm the booking. DEFECT: An error will appear and that process is not completed.
TagsNo tags attached.
Attached Filespng file icon StockReservation-PropertyNotFound.png [^] (133,337 bytes) 2016-05-04 17:18

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0033911 closedTriage Finance Stock Reservation PropertyNot Found error shown if Enable Stock Reservation preference is created more than once. 

-  Notes
(0089783)
psanjuan (manager)
2016-09-06 14:56

Please be aware that it is possible to create and configure this propery same way, more than once. Review issue related (and closed as duplicate) 33911.

Same way, this issue prevents of booking purchase orders.
(0099734)
markmm82 (developer)
2017-10-03 17:27

Test Plan:
0-Login ERP as QAAdmin//QAAdmin.
1-Using "QA Testing Admin" role, go to "Preferences" window.
2-Create a new record with the following values:
--
Organization: *
Property: Enable Stock Reservations
Value: Y
Visible at User: QAAdmin
--
Save that record.
3-Create a new record with the following values:
--
Organization: *
Property: Enable Stock Reservations
Value: Y
Visible at User: Sales A
--
Save that record.
4-Go to "Sales Order", create a record with the following values:
--
Transaction Document: Standard Order
Business Partner: Customer B
--
5-Go to "Lines" tab and create a record with the following values:
--
Product: Final good B.
--
6-Click "Book" process and click OK button in the popup to confirm the booking.

Notice the order is completed successfully.

Repeat the same test for Purchase Order.
(0105081)
hgbot (developer)
2018-06-12 10:06

Repository: erp/devel/pi
Changeset: cd3262c908aabab42f98460f0cf13e85c7cb9b19
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jun 08 13:56:01 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cd3262c908aabab42f98460f0cf13e85c7cb9b19 [^]

Fixes issue 32862: "Enable Stock Reservations" preference throws an error
when a Sales Order is booked

If more than one "Enable Stock Reservations" preference is defined, and are specified
to specific users, C_ORDER_POST1 calls AD_GET_PREFERENCE_VALUE function without specify
the user, for this reason function throw an exception explaining that Preference can't be
found.

To fix that, user is specified when the AD_GET_PREFERENCE_VALUE is called.

---
M src-db/database/model/functions/C_ORDER_POST1.xml
---
(0105083)
dmiguelez (developer)
2018-06-12 10:06

Code Review + Testing Ok
(0105097)
hudsonbot (developer)
2018-06-12 14:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e050974318af [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-04 17:18 lorenzofidalgo New Issue
2016-05-04 17:18 lorenzofidalgo Assigned To => Triage Finance
2016-05-04 17:18 lorenzofidalgo File Added: StockReservation-PropertyNotFound.png
2016-05-04 17:18 lorenzofidalgo Web browser => Google Chrome
2016-05-04 17:18 lorenzofidalgo Modules => Core
2016-05-04 17:18 lorenzofidalgo Triggers an Emergency Pack => No
2016-09-06 14:54 psanjuan Relationship added has duplicate 0033911
2016-09-06 14:56 psanjuan Note Added: 0089783
2017-08-15 21:35 markmm82 Assigned To Triage Finance => markmm82
2017-08-15 21:36 markmm82 Status new => scheduled
2017-10-03 17:27 markmm82 Note Added: 0099734
2018-06-12 10:06 hgbot Checkin
2018-06-12 10:06 hgbot Note Added: 0105081
2018-06-12 10:06 hgbot Status scheduled => resolved
2018-06-12 10:06 hgbot Resolution open => fixed
2018-06-12 10:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cd3262c908aabab42f98460f0cf13e85c7cb9b19 [^]
2018-06-12 10:06 dmiguelez Review Assigned To => dmiguelez
2018-06-12 10:06 dmiguelez Note Added: 0105083
2018-06-12 10:06 dmiguelez Status resolved => closed
2018-06-12 10:06 dmiguelez Fixed in Version => 3.0PR18Q3
2018-06-12 14:08 hudsonbot Checkin
2018-06-12 14:08 hudsonbot Note Added: 0105097


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker